Support » Plugin: Database Sync » Syntax errors (database-sync.php)

  • Resolved handsofaten

    (@handsofaten)


    When attempting to activate, there is a syntax error in database-sync.php:
    $tokens = get_option('outlandish_sync_tokens') ? : array();

    This actually occurs in three separate places in the file. I replaced them all with:
    $tokens = get_option('outlandish_sync_tokens') ? get_option('outlandish_sync_tokens') : array();

    That fixed the problem. I was able to successfully sync a local dev site with a remote staging site.

    http://wordpress.org/extend/plugins/database-sync/

Viewing 1 replies (of 1 total)
  • Thanks for providing that correction. This plug in is exactly what I’ve been needing and I was really disappointed when it failed to initialize. Your solution solved the problem. Thank you for sharing it.

Viewing 1 replies (of 1 total)
  • The topic ‘Syntax errors (database-sync.php)’ is closed to new replies.